/* OGMRip - A library for dvd video ripping and encoding
 * Copyright (C) 2004 Olivier Rolland <billl@esil.univ-mrs.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef __OGMRIP_MISC_H__
#define __OGMRIP_MISC_H__

#include <ogmsp-bin.h>

G_BEGIN_DECLS

#define OGMRIP_TYPE_MISC          (ogmrip_misc_get_type ())
#define OGMRIP_MISC(obj)          (G_TYPE_CHECK_INSTANCE_CAST ((obj), OGMRIP_TYPE_MISC, OGMRipMisc))
#define OGMRIP_MISC_CLASS(klass)  (G_TYPE_CHECK_CLASS_CAST ((klass), OGMRIP_TYPE_MISC, OGMRipMiscClass))
#define OGMRIP_IS_MISC(obj)       (G_TYPE_CHECK_INSTANCE_TYPE ((obj), OGMRIP_TYPE_MISC))
#define OGMRIP_IS_MISC_CLASS(obj) (G_TYPE_CHECK_CLASS_TYPE ((klass), OGMRIP_TYPE_MISC))

typedef struct _OGMRipMisc      OGMRipMisc;
typedef struct _OGMRipMiscPriv  OGMRipMiscPriv;
typedef struct _OGMRipMiscClass OGMRipMiscClass;

struct _OGMRipMisc
{
  OGMSpBin parent_instance;

  OGMRipMiscPriv *priv;
};

struct _OGMRipMiscClass
{
  OGMSpBinClass parent_class;
};

GType         ogmrip_misc_get_type   (void);
G_CONST_RETURN 
gchar *       ogmrip_misc_get_input  (OGMRipMisc  *misc);
void          ogmrip_misc_set_input  (OGMRipMisc  *misc,
                                      const gchar *input);
G_CONST_RETURN 
gchar *       ogmrip_misc_get_output (OGMRipMisc  *misc);
void          ogmrip_misc_set_output (OGMRipMisc  *misc,
                                      const gchar *output);

G_END_DECLS

#endif /* __OGMRIP_MISC_H__ */

