/* OGMRip - A library for dvd video ripping and encoding
 * Copyright (C) 2004 Olivier Rolland <billl@esil.univ-mrs.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef __OGMRIP_MUX_H__
#define __OGMRIP_MUX_H__

#include <ogmsp-bin.h>

G_BEGIN_DECLS

#define OGMRIP_TYPE_MUX          (ogmrip_mux_get_type ())
#define OGMRIP_MUX(obj)          (G_TYPE_CHECK_INSTANCE_CAST ((obj), OGMRIP_TYPE_MUX, OGMRipMux))
#define OGMRIP_MUX_CLASS(klass)  (G_TYPE_CHECK_CLASS_CAST ((klass), OGMRIP_TYPE_MUX, OGMRipMuxClass))
#define OGMRIP_IS_MUX(obj)       (G_TYPE_CHECK_INSTANCE_TYPE ((obj), OGMRIP_TYPE_MUX))
#define OGMRIP_IS_MUX_CLASS(obj) (G_TYPE_CHECK_CLASS_TYPE ((klass), OGMRIP_TYPE_MUX))

typedef struct _OGMRipMux      OGMRipMux;
typedef struct _OGMRipMuxPriv  OGMRipMuxPriv;
typedef struct _OGMRipMuxClass OGMRipMuxClass;

typedef void (* OGMRipMuxFunc) (OGMRipMux   *mux,
                                const gchar *input,
                                gint        language,
                                gpointer    user_data);

struct _OGMRipMux
{
  OGMSpBin parent_instance;

  OGMRipMuxPriv *priv;
};

struct _OGMRipMuxClass
{
  OGMSpBinClass parent_class;
};

GType         ogmrip_mux_get_type        (void);

G_CONST_RETURN
gchar *       ogmrip_mux_get_output      (OGMRipMux     *mux);
void          ogmrip_mux_set_output      (OGMRipMux     *mux,
                                          const gchar   *output);
G_CONST_RETURN
gchar *       ogmrip_mux_get_title       (OGMRipMux     *mux);
void          ogmrip_mux_set_title       (OGMRipMux     *mux,
                                          const gchar   *title);
G_CONST_RETURN
gchar *       ogmrip_mux_get_video       (OGMRipMux     *mux);
void          ogmrip_mux_set_video       (OGMRipMux     *mux,
                                          const gchar   *input);

void          ogmrip_mux_add_audio       (OGMRipMux     *mux,
                                          const gchar   *input,
                                          gint          language);

void          ogmrip_mux_add_chapters    (OGMRipMux     *mux,
                                          const gchar   *input,
                                          gint          language);

void          ogmrip_mux_add_subp        (OGMRipMux     *mux,
                                          const gchar   *input,
                                          gint          language);

void          ogmrip_mux_foreach_audio   (OGMRipMux     *mux, 
                                          OGMRipMuxFunc func, 
                                          gpointer      data);
void          ogmrip_mux_foreach_chapter (OGMRipMux     *mux, 
                                          OGMRipMuxFunc func, 
                                          gpointer      data);
void          ogmrip_mux_foreach_subp    (OGMRipMux     *mux, 
                                          OGMRipMuxFunc func, 
                                          gpointer      data);

G_END_DECLS

#endif /* __OGMRIP_MUX_H__ */

