/* OGMRip - A library for dvd video ripping and encoding
 * Copyright (C) 2004 Olivier Rolland <billl@esil.univ-mrs.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef __OGMRIP_SPLIT_H__
#define __OGMRIP_SPLIT_H__

#include <ogmrip-misc.h>

G_BEGIN_DECLS

#define OGMRIP_TYPE_SPLIT          (ogmrip_split_get_type ())
#define OGMRIP_SPLIT(obj)          (G_TYPE_CHECK_INSTANCE_CAST ((obj), OGMRIP_TYPE_SPLIT, OGMRipSplit))
#define OGMRIP_SPLIT_CLASS(klass)  (G_TYPE_CHECK_CLASS_CAST ((klass), OGMRIP_TYPE_SPLIT, OGMRipSplitClass))
#define OGMRIP_IS_SPLIT(obj)       (G_TYPE_CHECK_INSTANCE_TYPE ((obj), OGMRIP_TYPE_SPLIT))
#define OGMRIP_IS_SPLIT_CLASS(obj) (G_TYPE_CHECK_CLASS_TYPE ((klass), OGMRIP_TYPE_SPLIT))

typedef struct _OGMRipSplit      OGMRipSplit;
typedef struct _OGMRipSplitPriv  OGMRipSplitPriv;
typedef struct _OGMRipSplitClass OGMRipSplitClass;

struct _OGMRipSplit
{
  OGMRipMisc parent_instance;

  OGMRipSplitPriv *priv;
};

struct _OGMRipSplitClass
{
  OGMRipMiscClass parent_class;
};

GType         ogmrip_split_get_type   (void);
OGMSpSpawn  * ogmrip_split_new        (const gchar *input,
                                       const gchar *output,
                                       guint       tsize);
gint          ogmrip_split_get_tsize  (OGMRipSplit *split);

G_END_DECLS

#endif /* __OGMRIP_SPLIT_H__ */

