/* OGMSpawn - A library to spawn processes
 * Copyright (C) 2004 Olivier Rolland <billl@esil.univ-mrs.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef __OGMSP_LIST_H__
#define __OGMSP_LIST_H__

#include <ogmsp-container.h>

G_BEGIN_DECLS

#define OGMSP_TYPE_LIST           (ogmsp_list_get_type ())
#define OGMSP_LIST(obj)           (G_TYPE_CHECK_INSTANCE_CAST ((obj), OGMSP_TYPE_LIST, OGMSpList))
#define OGMSP_LIST_CLASS(klass)   (G_TYPE_CHECK_CLASS_CAST ((klass), OGMSP_TYPE_LIST, OGMSpListClass))
#define OGMSP_IS_LIST(obj)        (G_TYPE_CHECK_INSTANCE_TYPE ((obj), OGMSP_TYPE_LIST))
#define OGMSP_IS_LIST_CLASS(obj)  (G_TYPE_CHECK_CLASS_TYPE ((klass), OGMSP_TYPE_LIST))
#define OGMSP_LIST_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), OGMSP_TYPE_LIST, OGMSpListClass))

typedef struct _OGMSpList      OGMSpList;
typedef struct _OGMSpListPriv  OGMSpListPriv;
typedef struct _OGMSpListClass OGMSpListClass;

struct _OGMSpList
{
  OGMSpContainer parent_instance;

  OGMSpListPriv *priv;
};

struct _OGMSpListClass
{
  OGMSpContainerClass parent_class;
};

GType   ogmsp_list_get_type     (void);

GList * ogmsp_list_get_children (OGMSpList *list);

G_END_DECLS

#endif /* __OGMSP_LIST_H__ */

