/* OGMSpawn - A library to spawn processes
 * Copyright (C) 2004 Olivier Rolland <billl@esil.univ-mrs.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef __OGMSP_QUEUE_H__
#define __OGMSP_QUEUE_H__

#include <ogmsp-list.h>

G_BEGIN_DECLS

#define OGMSP_TYPE_QUEUE           (ogmsp_queue_get_type ())
#define OGMSP_QUEUE(obj)           (G_TYPE_CHECK_INSTANCE_CAST ((obj), OGMSP_TYPE_QUEUE, OGMSpQueue))
#define OGMSP_QUEUE_CLASS(klass)   (G_TYPE_CHECK_CLASS_CAST ((klass), OGMSP_TYPE_QUEUE, OGMSpQueueClass))
#define OGMSP_IS_QUEUE(obj)        (G_TYPE_CHECK_INSTANCE_TYPE ((obj), OGMSP_TYPE_QUEUE))
#define OGMSP_IS_QUEUE_CLASS(obj)  (G_TYPE_CHECK_CLASS_TYPE ((klass), OGMSP_TYPE_QUEUE))
#define OGMSP_QUEUE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), OGMSP_TYPE_QUEUE, OGMSpQueueClass))

typedef struct _OGMSpQueue      OGMSpQueue;
typedef struct _OGMSpQueuePriv  OGMSpQueuePriv;
typedef struct _OGMSpQueueClass OGMSpQueueClass;

struct _OGMSpQueue
{
  OGMSpList parent_instance;

  OGMSpQueuePriv *priv;
};

struct _OGMSpQueueClass
{
  OGMSpListClass parent_class;
};

GType        ogmsp_queue_get_type (void);
OGMSpSpawn * ogmsp_queue_new      (void);

G_END_DECLS

#endif /* __OGMSP_QUEUE_H__ */

